/*
************************************************************************
*
*   cmd_tab.h - command table
*
*   Copyright (c) 1994
*
*   SPECTROSPIN AG
*   Industriestr. 26
*   CH-8117 Faellanden
*
*   All Rights Reserved
*
*   Date of last modification : 96/09/13
*   Pathname of SCCS file     : /sgiext/autopsy/src/cip/SCCS/s.cmd_tab.h
*   SCCS identification       : 1.1
*
************************************************************************
*/

#include "cmd_p.h"

#include <cmd_io.h>
#include <cmd_dial.h>
#include <cmd_misc.h>
#include <cmd_help.h>
#include <cmd_attr.h>
#include <cmd_rep.h>
#include <cmd_prop.h>
#include <cmd_prim.h>
#include <cmd_anim.h>
#include <cmd_struc.h>

static CmdTabEntry BuiltinCmdTab[] = {
  {"AddDrawobj", ExAddDrawobj},
  {"AddText", ExAddText},
  {"AddTitle", ExAddTitle},
  {"AnglePeak", ExAngle},
  {"AttrPeak", ExAttr},
  {"AttrPrim", ExAttr},
  {"AttrSpec", ExAttr},
  {"BackColor", ExBackColor},
  {"ClipPos", ExClip},
  {"ClipSize", ExClip},
  {"ClusterShape", ExClusterShape},
  {"ColorPeak", ExColor},
  {"ColorPrim", ExColor},
  {"ColorSpec", ExColor},
  {"Deconv", ExDeconv},
  {"DefPropPeak", ExDefProp},
  {"DefPropPrim", ExDefProp},
  {"DefPropSpec", ExDefProp},
  {"DialColor", ExDialColor},
  {"DialSelect", ExDialSelect},
  {"DialSpec", ExDialSpec},
  {"DialStyle", ExDialStyle},
  {"DrawDelay", ExDrawDelay},
  {"DrawPrec", ExDrawPrec},
  {"DrawSize", ExDrawSize},
  {"Expand", ExExpand},
  {"Fog", ExFog},
  {"Fullscreen", ExFullscreen},
  {"HelpApropos", ExHelpApropos},
  {"HelpButton", ExHelpButton},
  {"HelpCmd", ExHelpCmd},
  {"HelpMouse", ExHelpMouse},
  {"HelpProp", ExHelpProp},
  {"Identify", ExIdentify},
  {"InitAll", ExInitAll},
  {"LabelPeak", ExLabelPeak},
  {"LengthPeak", ExLength},
  {"Level", ExLevel},
  {"Light", ExLight},
  {"LinePeak", ExLine},
  {"LinePrim", ExLine},
  {"LineSpec", ExLine},
  {"ListPropPeak", ExListProp},
  {"ListPropPrim", ExListProp},
  {"ListPropSpec", ExListProp},
  {"MaterialPeak", ExMaterial},
  {"MaterialPrim", ExMaterial},
  {"MaterialSpec", ExMaterial},
  {"Memory", ExMemory},
  {"MoveDrawobj", ExMoveDrawobj},
  {"MovePrim", ExMovePrim},
  {"MoveX", ExMove},
  {"MoveY", ExMove},
  {"MoveZ", ExMove},
  {"Noise", ExNoise},
  {"OpenBruker", ExOpen},
  {"OpenEasy", ExOpen},
  {"PathNames", ExPathNames},
  {"PlotCps", ExPlot},
  {"PlotFm3", ExPlot},
  {"PlotFm4", ExPlot},
  {"PlotJpeg", ExPlotDump},
  {"PlotPar", ExPlotPar},
  {"PlotPng", ExPlotDump},
  {"PlotPov", ExPlot},
  {"PlotPs", ExPlot},
  {"PlotTiff", ExPlotDump},
  {"PlotUnit", ExPlotUnit},
  {"PlotVrml", ExPlot},
  {"Projection", ExProjection},
  {"Quit", ExQuit},
  {"RadiusPeak", ExRadius},
  {"RecordMac", ExRecordMac},
  {"Register", ExRegister},
  {"RemovePrim", ExRemovePrim},
  {"RemoveSpec", ExRemoveSpec},
  {"Rendering", ExRendering},
  {"Resolution", ExResolution},
  {"RotateInit", ExRotateInit},
  {"RotateX", ExRotate},
  {"RotateY", ExRotate},
  {"RotateZ", ExRotate},
  {"Scale", ExScale},
  {"Segment", ExSegment},
  {"SelectPeak", ExSelect},
  {"SelectPrim", ExSelect},
  {"SelectSpec", ExSelect},
  {"ShadePeak", ExShade},
  {"ShadePrim", ExShade},
  {"ShadeSpec", ExShade},
  {"SizeText", ExFontSize},
  {"StartAnim", ExStartAnim},
  {"StartRock", ExStartRock},
  {"Stereo", ExStereo},
  {"StopAnim", ExStopAnim},
  {"StopRock", ExStopRock},
  {"StyleDrawobj", ExStyleDrawobj},
  {"StylePeak", ExStylePeak},
  {"StyleSpec", ExStyleSpec},
  {"Symmetrize", ExSymmetrize},
  {"System", ExSystem},
  {"TexturePeak", ExTexture},
  {"TexturePrim", ExTexture},
  {"TextureSpec", ExTexture},
  {"UndefProp", ExUndefProp},
  {"UserInterface", ExUserInterface},
  {"ViewAngle", ExViewAngle},
  {"WritePeak", ExWritePeak},
  {"WriteRotation", ExWriteRotation},
  {"XMacStand", ExXMac},
  {"XMacUser", ExXMac},
  {"ZoomAbs", ExZoom},
  {"ZoomRel", ExZoom},
};
